DWARF_FIND_MACRO_VALUE_START(3) | Library Functions Manual | DWARF_FIND_MACRO_VALUE_START(3)

# NAME

`dwarf_find_macro_value_start` —
return the address of the first byte of a macro value

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

char *
`dwarf_find_macro_value_start`(char *macro_string);

# DESCRIPTION

Given a DWARF macro string, function `dwarf_find_macro_value_start`() returns a pointer to the first byte of the macro value part of the macro string.

Argument macro_string should be a NUL-terminated string conforming to the macro format defined in the DWARF standard; see dwarf(4).

# RETURN VALUES

On success, function `dwarf_find_macro_value_start`() returns a pointer to the first byte of the macro value. If the macro value part was not found, function `dwarf_find_macro_value_start`() returns a pointer to the NUL-byte terminating argument macro_string.

Function `dwarf_find_macro_value_start`() returns NULL if argument macro_string was NULL.

# SEE ALSO

dwarf(3), dwarf_get_macro_details(3)

March 26, 2011 | NetBSD 9.5